Subject: [alpine-aports] [PATCH] testing/pass: upgrade to 1.7

From: Ivan Tham <[email-masked]>
Date: Fri, 17 Mar 2017 20:29:46 +0800

---
 testing/pass/APKBUILD | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/testing/pass/APKBUILD b/testing/pass/APKBUILD
index 56f7dd26..08f65720 100644
--- a/testing/pass/APKBUILD
+++ b/testing/pass/APKBUILD
@@ -2,8 +2,8 @@
 # Contributor: Johannes Matheis <[email-masked]>
 # Maintainer: Johannes Matheis <[email-masked]>
 pkgname=pass
-pkgver=1.6.5
-pkgrel=3
+pkgver=1.7
+pkgrel=0
 pkgdesc="Stores, retrieves, generates, and synchronizes passwords securely"
 url="http://zx2c4.com/projects/password-store/"
 arch="noarch"
@@ -67,6 +67,4 @@ zshcomp() {
 		"$subpkgdir"/usr/share/zsh/site-functions || return 1
 }
 
-md5sums="2c4468360c678184051e76f03c2f6b04  password-store-1.6.5.tar.xz"
-sha256sums="337a39767e6a8e69b2bcc549f27ff3915efacea57e5334c6068fcb72331d7315  password-store-1.6.5.tar.xz"
-sha512sums="e28503b63c6d18a2f45f4a732fdec0380c2ac15e1778136ec5e7ac568662b09183d3ad4fd36ca7e87cfe74540f916cb6365695bdf665a39da4cbe86c4bde7a78  password-store-1.6.5.tar.xz"
+sha512sums="f31fd067f9c6134eac7bb5039df6de3d6fe25c9fcd16d27a0cba159bd7fa9361193081a1fff2000cba1943edbb324e645c6399d4f4aa9f441dd9c67696462a50  password-store-1.7.tar.xz"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Mon, 20 Mar 2017 12:24:18 +0100

Hi,

Here it fails with:

>>> pass-bash-completion*: Running split function bashcomp...
mv: can't rename
'/home/larena/aports/testing/pass/pkg/pass/usr/share/bash-completion/completions/*':
No such file or directory
>>> ERROR: pass-bash-completion*: bashcomp failed
>>> ERROR: pass*: prepare_subpackages failed
>>> ERROR: pass: all failed

Thanks!

|_eo

---

From: Ivan Tham <[email-masked]>
Date: Mon, 20 Mar 2017 21:34:43 +0800

---
 testing/pass/APKBUILD | 29 ++++++++++++-----------------
 1 file changed, 12 insertions(+), 17 deletions(-)

diff --git a/testing/pass/APKBUILD b/testing/pass/APKBUILD
index 56f7dd26..ca4740ee 100644
--- a/testing/pass/APKBUILD
+++ b/testing/pass/APKBUILD
@@ -2,8 +2,8 @@
 # Contributor: Johannes Matheis <[email-masked]>
 # Maintainer: Johannes Matheis <[email-masked]>
 pkgname=pass
-pkgver=1.6.5
-pkgrel=3
+pkgver=1.7
+pkgrel=0
 pkgdesc="Stores, retrieves, generates, and synchronizes passwords securely"
 url="http://zx2c4.com/projects/password-store/"
 arch="noarch"
@@ -18,10 +18,10 @@ subpackages="$pkgname-doc
 	$pkgname-fish-completion:fishcomp
 	$pkgname-zsh-completion:zshcomp"
 source="http://git.zx2c4.com/password-store/snapshot/password-store-${pkgver}.tar.xz"
+builddir="$srcdir/password-store-$pkgver"
 
-_builddir="$srcdir/password-store-$pkgver"
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" \
 		FORCE_BASHCOMP=1 \
 		FORCE_ZSHCOMP=1 \
@@ -31,7 +31,7 @@ package() {
 contrib() {
 	pkgdesc="contrib files for pass"
 	mkdir -p "$subpkgdir"/usr/share
-	cp -a "$_builddir"/contrib "$subpkgdir"/usr/share/$pkgname
+	cp -a "$builddir"/contrib "$subpkgdir"/usr/share/$pkgname
 }
 
 bashcomp() {
@@ -40,9 +40,8 @@ bashcomp() {
 	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
 	arch="noarch"
 
-	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
-	mv "$pkgdir"/usr/share/bash-completion/completions/* \
-		"$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+	install -Dm644 "$pkgdir"/usr/share/bash-completion/completions/pass \
+		"$subpkgdir"/usr/share/bash-completion/completions/pass || return 1
 }
 
 fishcomp() {
@@ -51,9 +50,8 @@ fishcomp() {
 	install_if="$pkgname=$pkgver-r$pkgrel fish"
 	arch="noarch"
 
-	mkdir -p "$subpkgdir"/usr/share/fish/completions/
-	mv "$pkgdir"/usr/share/fish/vendor_completions.d/* \
-		"$subpkgdir"/usr/share/fish/completions/ || return 1
+	install -Dm644 "$pkgdir"/usr/share/fish/vendor_completions.d/pass.fish \
+		"$subpkgdir"/usr/share/fish/completions/pass.fish || return 1
 }
 
 zshcomp() {
@@ -62,11 +60,8 @@ zshcomp() {
 	install_if="$pkgname=$pkgver-r$pkgrel zsh"
 	arch="noarch"
 
-	mkdir -p "$subpkgdir/usr/share/zsh/site-functions"
-	mv "$pkgdir"/usr/share/zsh/site-functions/* \
-		"$subpkgdir"/usr/share/zsh/site-functions || return 1
+	install -Dm644 "$pkgdir"/usr/share/zsh/site-functions/_pass \
+		"$subpkgdir"/usr/share/zsh/site-functions/_pass || return 1
 }

---

---

From: Timo Teras <[email-masked]>
Date: Wed, 22 Mar 2017 08:32:05 +0200

On Mon, 20 Mar 2017 21:34:43 +0800

Still fails with:
>>> pass-doc*: Running postcheck for pass-doc
>>> pass-contrib*: Running split function contrib...
>>> pass-contrib*: Preparing subpackage pass-contrib...
>>> pass-contrib*: Running postcheck for pass-contrib
install: can't stat
'/home/tteras/aports/testing/pass/pkg/pass/usr/share/bash-completion/completions/pass':
No such file or directory
>>> ERROR: pass*: prepare_subpackages failed

see below:

...

> -_builddir="$srcdir/password-store-$pkgver"

Seems the FORCE_*COMP changed. The Makefile has now:
ifneq ($(WITH_ALLCOMP),)
WITH_BASHCOMP := $(WITH_ALLCOMP)
WITH_ZSHCOMP := $(WITH_ALLCOMP)
WITH_FISHCOMP := $(WITH_ALLCOMP)

You need to use WITH_*COMP or set WITH_ALLCOMP instead of FORCE_...

Thanks
Timo

---

---

From: Pickfire <[email-masked]>
Date: Wed, 22 Mar 2017 22:58:42 +0800

>>> pass-bash-completion*: Running split function bashcomp...
install: cannot stat '/home/ivan/act/pkg/aports/testing/pass/pkg/pass/usr/share/bash-completion/completions/pass': No such file or directory
>>> ERROR: pass*: prepare_subpackages failed

Mine works:

'src/completion/pass.bash-completion' -> '/home/ivan/act/pkg/aports/testing/pass/pkg/pass/usr/share/bash-completion/completions/pass'
install: creating directory '/home/ivan/act/pkg/aports/testing/pass/pkg/pass/usr/share/zsh'
install: creating directory '/home/ivan/act/pkg/aports/testing/pass/pkg/pass/usr/share/zsh/site-functions'
>>> pass-bash-completion*: Tracing dependencies...
>>> pass-bash-completion*: Package size: 4.0 KB
>>> pass-bash-completion*: Compressing data...
>>> pass-bash-completion*: Create checksum...
>>> pass-bash-completion*: Create pass-bash-completion-1.7-r0.apk

Please close the old patch
http://patchwork.alpinelinux.org/patch/3167/
http://patchwork.alpinelinux.org/patch/3168/

---